TechDraw Dimensión Diámetro

From FreeCAD Documentation
Revision as of 08:33, 29 May 2023 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

TechDraw Dimensión Diámetro

Ubicación en el Menú
TechDraw → Dimensión Diámetro
Entornos de trabajo
TechDraw
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
TechDraw Dimensión Radio

Descripción

The TechDraw DiameterDimension tool adds a diameter dimension to a View. The dimension may be applied to any circular in the drawing. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the TechDraw LinkDimension tool.

Measuring a circle, indicating the diameter

Utilización

  1. Select a circular edge in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a diameter dimension in these cases)
  2. Press the Diameter Dimension button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.
  4. If needed, add tolerances as described on this page.

To change the properties of a dimension object either double-click it in the drawing or in the Tree view. This will open the dimension dialog.

Limitaciones

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension for more information.

Propiedades

See TechDraw LengthDimension.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

The Diameter Dimension tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Diameter"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)